<?php

use think\facade\Route;

/**
 * 公司管理 相关路由
 */
Route::group('company', function () {
    //公司资源路由
    Route::resource('company', 'v1.company.Company')->name('CompanyResource');
    //修改状态
    Route::put('company/set_status/:id/:status', 'v1.company.Company/set_status')->name('CompanyStatus');

})->middleware([
    \app\http\middleware\AllowOriginMiddleware::class,
    \app\adminapi\middleware\AdminAuthTokenMiddleware::class,
    \app\adminapi\middleware\AdminCkeckRole::class
]);